package com.sw.mes.yb.turnstore.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.turnstore.dao.TurnstoreDao;
import com.sw.mes.yb.turnstore.entity.Turnstore;
import com.sw.mes.yb.turnstore.service.TurnstoreService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class TurnstoreServiceImpl extends BaseServiceImpl<Turnstore> implements TurnstoreService {
    TurnstoreDao dao;
	@Autowired
    public void setDao(TurnstoreDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }



    @Override
    public List<Map<String,Object>> getStaticIn(String sDate,String eDate,String leixing){
	    return dao.getStaticIn(sDate,eDate,leixing);
    }

    @Override
    public List<Map<String,Object>> getStaticOut(String sDate,String eDate,String leixing){
        return dao.getStaticOut(sDate,eDate,leixing);
    }

    @Override
    public List<Turnstore> getStoreInfoBySectionNo(String sectionNo){
	    return dao.getStoreInfoBySectionNo(sectionNo);
    }
}
